Name: libwvstreams
Version: 3.70
Release: 13.1
Summary: WvStreams is a network programming library written in C++.
Source: http://open.nit.ca/download/wvstreams-%{version}.tar.gz
Patch0: libwvstreams-3.69-redhat.patch
Patch1: libwvstreams-3.70-gcc3.patch
Patch2: libwvstreams-3.70-openssl097.patch
URL: http://open.nit.ca/wvstreams
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/libwvstreams-root
BuildRequires: openssl-devel, pkgconfig
License: LGPL

%description
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package devel
Summary: Development files for WvStreams.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.  This package contains the files
needed for developing applications which use WvStreams.

%prep
%setup -q -n wvstreams-%{version}
%patch0 -p1 -b .redhat
%patch1 -p1 -b .gcc3
%patch2 -p1 -b .openssl097

%build
if pkg-config openssl ; then
	cppopts="CPPOPTS=`pkg-config --cflags-only-I openssl`"
	ldopts="LDOPTS=`pkg-config --libs-only-L openssl` -lcrypt"
else
	ldopts="LDOPTS=-lcrypt"
fi
make COPTS="$RPM_OPT_FLAGS -fPIC" PREFIX=%{_prefix} LIBDIR=%{_libdir} "$cppopts" "$ldopts"

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/%{_prefix} LIBDIR=$RPM_BUILD_ROOT/%{_libdir}
chmod 755 $RPM_BUILD_ROOT%{_libdir}/*.so.*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING.LIB src/README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/wvstreams
%{_libdir}/*.a
%{_libdir}/*.so

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Oct 10 2003 Nalin Dahyabhai <nalin@redhat.com> 3.70-12
- link libwvstreams shared libs against libcrypt, upon which they depend

* Mon Sep  8 2003 Nalin Dahyabhai <nalin@redhat.com> 3.70-11
- rebuild

* Mon Sep  8 2003 Nalin Dahyabhai <nalin@redhat.com> 3.70-10
- rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 3.70-7
- rebuild

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- correct an const/not-const type mismatch that breaks compilation with newer
  OpenSSL
- add flags from pkgconfig so that OpenSSL is always found

* Tue Sep 10 2002 Mike A. Harris <mharris@redhat.com> 3.70-6
- use FHS macros for multilib systems

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com>
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Nalin Dahyabhai <nalin@redhat.com> 3.70-1
- patch to build with gcc 3.x
- build with -fPIC

* Wed Apr 10 2002 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.70

* Wed Mar 27 2002 Nalin Dahyabhai <nalin@redhat.com> 3.69-1
- pull in from upstream tarball

* Wed Feb 27 2002 Nalin Dahyabhai <nalin@redhat.com>
- merge the main and -devel packages into one .spec file
- use globbing to shorten the file lists
- don't define name, version, and release as macros (RPM does this by default)
- use the License: tag instead of Copyright: (equivalent at the package level,
  but License: reflects the intent of the tag better)
- use a URL to point to the source of the source tarball
- add BuildRequires: openssl-devel (libwvcrypto uses libcrypto)
- move the buildroot to be under %%{_tmppath}, so that it can be moved by
  altering RPM's configuration

* Tue Jan 29 2002 Patrick Patterson <ppatters@nit.ca>
- Initial Release of WvStreams
